#include <iostream>
#include <cstring>
using namespace std;

struct TLnum {
  unsigned char d[64];
  int n;
} maxn, r, f, s;

TLnum& init(TLnum& b, char a[], int c=0);
TLnum mull(const TLnum a, const TLnum b);
bool gt(const TLnum a, const TLnum b);
void print(TLnum& a);

int main () {

  init(maxn,"0");
  char c[64];
  int i,j,len_ring;

  cin >> c;  cin >> (c+strlen(c));
  len_ring=strlen(c);
  memmove(c+len_ring,c,len_ring+1);

  for (i=0;i<len_ring-1;i++) for (j=1;j<len_ring;j++)
    if (gt(r=mull(init(f,c+i,j), init(s,c+i+j,len_ring-j)), maxn)) maxn=r;

  print(maxn);cout<<endl;
  return 0;
}

TLnum& init(TLnum& b, char a[], int c){
  int i,j;
  memset(b.d,0,sizeof(b.d));
  b.n=strlen(a);
  if (c) b.n=min(b.n,c);
  for (i=0, j=b.n-1;i<b.n;b.d[i++]=(a[j--]-'0'));
  return b;
}

TLnum mull(const TLnum a, const TLnum b){
  TLnum r;
  init(r,"0");
  int i,j;
  for (i=0;i<b.n;i++) for (j=0;j<a.n;j++){
    r.d[i+j]+=b.d[i]*a.d[j];
    r.d[i+j+1]+=r.d[i+j]/10;
    r.d[i+j]%=10;
  }
  i+=j;
  r.n=(r.d[i-1]?i:i-1);
  return r;
}

bool gt(const TLnum a, const TLnum b){
  int i=max(a.n,b.n)-1;
  for (;a.d[i]==b.d[i] and i>0; i--);
  return a.d[i]>b.d[i];
}

void print(TLnum& a){
  for (int i=a.n-1;i>=0;i--) cout<<(int)(a.d[i]);
}
