#include <iostream>
#include <cstring>
using namespace std;

struct TLnum {
  unsigned char d[64];
  int n;
  TLnum(){n=1;memset(d,0,sizeof(d));}
  TLnum(char a[], int c=0){
    int i,j;
    memset(d,0,sizeof(d));
    n=strlen(a);
    if (c) n=min(n,c);
    for (i=0, j=n-1;i<n;d[i++]=(a[j--]-'0')) ;
  }
  TLnum operator * (TLnum& a){
    TLnum r;
    int i,j;
    for (i=0;i<n;i++) {
      for (j=0;j<a.n;j++){
        r.d[i+j]+=d[i]*a.d[j];
        r.d[i+j+1]+=r.d[i+j]/10;
        r.d[i+j]%=10;
      }
    }
    i+=j;
    r.n=(r.d[i-1]?i:i-1);
    return r;
  }
  bool operator > (TLnum& a){
    int i=max(n,a.n)-1;
    for (;d[i]==a.d[i] and i>0; i--);
    return d[i]>a.d[i];
  }
  ostream& print(ostream& f =std::cout){
    for (int i=n-1;i>=0;i--) f<<(int)d[i];
    return f;
  }
} maxn, r;

int main () {

  char c[64];
  int i,j,len_ring;

  cin >> c;  cin >> (c+strlen(c));
  len_ring=strlen(c);
  memmove(c+len_ring,c,len_ring+1);

  for (i=0;i<len_ring-1;i++) for (j=1;j<len_ring;j++) {
    TLnum f(c+i,j), s(c+i+j,len_ring-j);
    if ((r=f*s)>maxn) maxn=r;
    ///r.print(s.print(f.print()<<"*")<<"=")<<'\n';
  }
  maxn.print()<<endl;

  return 0;
}
